Subject: shell_command(): make "input_string" argument optional

This simple patch makes the "input_string" of the shell_command() macro
optional and defaults it to "".

---

 doc/help.etx   |    5 +++--
 source/macro.c |    7 ++++---
 2 files changed, 7 insertions(+), 5 deletions(-)

diff --quilt old/source/macro.c new/source/macro.c
--- old/source/macro.c
+++ new/source/macro.c
@@ -2709,13 +2709,14 @@ static int getenvMS(WindowInfo *window, 
 static int shellCmdMS(WindowInfo *window, DataValue *argList, int nArgs,
     	DataValue *result, char **errMsg)
 {
-    char stringStorage[2][TYPE_INT_STR_SIZE(int)], *cmdString, *inputString;
+    char stringStorage[2][TYPE_INT_STR_SIZE(int)], *cmdString, *inputString = "";
 
-    if (nArgs != 2)
+    if (nArgs != 1 && nArgs != 2)
     	return wrongNArgsErr(errMsg);
     if (!readStringArg(argList[0], &cmdString, stringStorage[0], errMsg))
     	return False;
-    if (!readStringArg(argList[1], &inputString, stringStorage[1], errMsg))
+    if (nArgs == 2 &&
+            !readStringArg(argList[1], &inputString, stringStorage[1], errMsg))
     	return False;
     
     /* Shell command execution requires that the macro be suspended, so
diff --quilt old/doc/help.etx new/doc/help.etx
--- old/doc/help.etx
+++ new/doc/help.etx
@@ -2693,10 +2693,11 @@ Macro Subroutines
 **set_cursor_pos( position )**
   Set the cursor position for the current window.
 
-**shell_command( command, input_string )**
+**shell_command( command[, input_string] )**
   Executes a shell command, feeding it input from input_string. On completion,
   output from the command is returned as the function value, and the command's
-  exit status is returned in the global variable $shell_cmd_status.
+  exit status is returned in the global variable $shell_cmd_status. If the
+  input_string is ommited or is "" the shell command get no input.
 
 **split(string, separation_string [, search_type])**
   Splits a string using the separator specified. Optionally the search_type
